#
# spec file for package dvb (Version 0.9_20010817)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gpp gtk gtk-devel libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         dvb
Copyright:    GPL
Group:        Applications/Multimedia
#Requires:     xforms
Autoreqprov:  on
Version:      0.9_20010817
Release:      45
Summary:      tools for digital (DVB) TV cards
Source: siemens_dvb-0.9-20010817.tar.bz2
Source1: dvbrouter.tar.bz2
Source2: Makefile.module
Source3: README.SuSE
Source5: rcdvb
Source6: rc.config.dvb
Patch:  dvbrouter.dif
Patch1: siemens_dvb-0.9-20010817.dif

%description
This package contains tools to be used with the driver for Siemens DVB cards
and compatible devices. You can find further information in
/usr/share/doc/packages/dvb/README.SuSE

Authors:
--------
    Ralph Metzler <ralph@convergence.de>
    Martin Schaller <martin@smurf.franken.de>
    Marcus Metzler <mocm@metzlerbros.de>
    Karsten Siebert <Karsten.Siebert@dataplanet.net>

SuSE series: ap

%package -n km_dvb
Summary:      INTERNAL USE ONLY
Group:        System Environment/Kernel

%description -n km_dvb
INTERNAL USE ONLY

SuSE series: suse

%prep
%setup -n siemens_dvb-0.9-20010817 -b 1
mv ../dvbrouter/dvbd .
cp -i ../dvbrouter/driver/dvb_v4l.h driver
%patch
%patch1

%build
#make
cd dvbd
make CFLAGS="$RPM_OPT_FLAGS -Wall -Wshadow -Wcast-qual -Wcast-align -Wnested-externs"
cd ../libdvb
make
cd ../apps/mpegtools
make
strip mpegtools
make links
cd ../test
for i in *.c
do
	gcc $RPM_OPT_FLAGS -I../../ost/include -o ${i%%.c} $i
	strip ${i%%.c}
done

%install
rm -fr /usr/src/kernel-modules
install -d -m 755 /usr/src/kernel-modules
install -d -m 755 /usr/src/kernel-modules/dvb
cp -a driver /usr/src/kernel-modules/dvb
cp -a ost /usr/src/kernel-modules/dvb
install -m 644 $RPM_SOURCE_DIR/Makefile.module /usr/src/kernel-modules/dvb
rm -fr /usr/include/ost
cp -a ost/include/ost /usr/include
rm -fr %{_docdir}/dvb
install -d -m 755 %{_docdir}/dvb
install -m 644 CONTRIBUTORS COPYING INSTALL NEWS README %{_docdir}/dvb
install -m 644 $RPM_SOURCE_DIR/README.SuSE %{_docdir}/dvb
cd dvbd
install -m 755 dvbd /usr/bin
install -m 644 dvbd.conf.default /etc
rm -fr /dev/ost
cd ../driver
./makedev.napi
cd ../apps/mpegtools
install -m 755 mpegtools /usr/bin
install -m 644 README %{_docdir}/dvb/README.mpegtools
cp -a `find -type l` /usr/bin
install -m 755 $RPM_SOURCE_DIR/rcdvb /etc/init.d/dvb
install -d -m 755 %{_docdir}/dvb/test
cd ../test
for i in *.c
do
	install -m 755 ${i%%.c} %{_docdir}/dvb/test
done
install -m 644 $RPM_SOURCE_DIR/rc.config.dvb /var/adm/fillup-templates
ln -sf ../../etc/init.d/dvb /usr/sbin/rcdvb

%post -n dvb
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.dvb
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.dvb and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/dvb

%postun -n dvb
sbin/insserv etc/init.d

%files
%{_docdir}/dvb
/var/adm/fillup-templates/rc.config.dvb
%config /etc/init.d/dvb
/usr/sbin/rcdvb
/usr/include/ost
/usr/bin/dvbd
/usr/bin/mpegtools
%config /etc/dvbd.conf.default
/dev/ost
/usr/bin/analyze
#/usr/bin/av_pes2aud
#/usr/bin/av_pes2pes
#/usr/bin/av_pes2ps
#/usr/bin/av_pes2ts
#/usr/bin/av_pes2vid_es
#/usr/bin/check_av_pes
#/usr/bin/es2av_pes
/usr/bin/es_demux
/usr/bin/pes2aud
/usr/bin/pes2aud_es
#/usr/bin/pes2av_pes
/usr/bin/pes2ts
/usr/bin/pes2vid
/usr/bin/pes2vid_es
/usr/bin/pes_demux
/usr/bin/pesplot
#/usr/bin/ps2av_pes
/usr/bin/ps2vid
/usr/bin/remux
/usr/bin/streamtype
#/usr/bin/ts2av_pes
/usr/bin/ts2pes
/usr/bin/ts_demux
/usr/bin/tspids
/usr/bin/cut_mpg
/usr/bin/pes2ts2
/usr/bin/pes_repack
/usr/bin/split_mpg
/usr/bin/ts2ps
/usr/bin/ts_es_demux

%files -n km_dvb
/usr/src/kernel-modules/dvb

%changelog -n dvb
* Mon Oct 15 2001 - uli@suse.de
- export symbol DmxDevDVRPoll in dmxdev.o (needed by dvb.o)
- renamed dif
* Thu Oct 11 2001 - ro@suse.de
- fix typo, it's -DEXPORT_SYMTAB not -DDEXPORT_SYMTAB
* Thu Oct 11 2001 - ro@suse.de
- added -DEXPORT_SYMTAB to EXTRA_CFLAGS in driver Makefile
* Fri Sep 21 2001 - uli@suse.de
- init script: fixed module loading/unloading order, no more network
  device, no unloading of autoclean modules, fixed crystal/ti option
* Mon Aug 20 2001 - uli@suse.de
- forgot rcdvb symlink
  (also forgot to pack the init script, but I don't really like to
  talk about that...)
* Mon Aug 20 2001 - uli@suse.de
- update -> 0.9-20010817
- replaced dvb_*mod scripts with proper init script
* Tue Aug 07 2001 - uli@suse.de
- update -> 0.9-20010803
* Mon Jul 30 2001 - uli@suse.de
- update -> 0.9-20010729 (reqd. for vdr 0.85)
* Wed Jun 27 2001 - uli@suse.de
- fixed dvb_*mod scripts
- added test apps to package (one of which is actually a decent MPEG
  player)
- bzipped tarballs
* Tue Jun 26 2001 - uli@suse.de
- added missing header files
* Tue Jun 26 2001 - uli@suse.de
- update -> 0.9-20010618
* Wed May 16 2001 - uli@suse.de
- added missing firmware file
- dvb_insmod: use kernel i2c-core, videodev to avoid hangs
* Mon Mar 26 2001 - uli@suse.de
- update -> 0.8.2
* Mon Mar 12 2001 - uli@suse.de
- no longer using XFree86 3.x libs
* Thu Feb 22 2001 - uli@suse.de
- update -> 0.8.1 (should do better with 2.4 kernels)
* Mon Feb 19 2001 - uli@suse.de
- in libdvb renamed struct Picture to DVB_Picture (conflicts with X)
* Wed Dec 06 2000 - uli@suse.de
- added missing stuff to km_dvb
- added ost devices to dvb
* Mon Dec 04 2000 - uli@suse.de
- update -> 0.8
- removed avpes2mpeg (output now defaults to program stream)
* Thu Nov 23 2000 - uli@suse.de
- linking against DGA/VM libs from XFree86 3 to ensure compatibility
* Wed Nov 08 2000 - uli@suse.de
- added missing firmware file
- added absolute path to firmware file in dvb module
* Sun Nov 05 2000 - ro@suse.de
- fixed neededforbuild
* Mon Oct 23 2000 - ro@suse.de
- fixed includes
* Fri Sep 01 2000 - uli@suse.de
- initial package
